import { ComponentRef, NgZone } from '@angular/core';
import * as i0 from "@angular/core";
export declare class InjectComponentService {
    private zone;
    componentRefs: Map<string, ComponentRef<any>>;
    constructor(zone: NgZone);
    setComponent(key: string, ref: ComponentRef<any>): void;
    updateComponent(key: string, input: string, value: any): void;
    deleteComponent(key: string): void;
    getComponent(key: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<InjectComponentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<InjectComponentService>;
}
